aboutsummaryrefslogtreecommitdiff
path: root/libbrep/odb.sh
diff options
context:
space:
mode:
Diffstat (limited to 'libbrep/odb.sh')
-rwxr-xr-xlibbrep/odb.sh11
1 files changed, 9 insertions, 2 deletions
diff --git a/libbrep/odb.sh b/libbrep/odb.sh
index 9ee11fa..89dc5be 100755
--- a/libbrep/odb.sh
+++ b/libbrep/odb.sh
@@ -16,6 +16,8 @@ if test -d ../.bdep; then
sed -r -ne 's#^(@[^ ]+ )?([^ ]+)/ .*default.*$#\2#p')"
fi
+ # Note: here we use libodb*, not libbutl-odb.
+ #
inc+=("-I$(echo "$cfg"/libodb-[1-9]*/)")
inc+=("-I$(echo "$cfg"/libodb-pgsql-[1-9]*/)")
@@ -33,6 +35,11 @@ sed -r -ne 's#^(@[^ ]+ )?([^ ]+)/ .*default.*$#\2#p')"
else
+ # Feels like this case should not be necessary (unlike in bpkg/bdep).
+ #
+ echo "not bdep-initialized" 1>&2
+ exit 1
+
inc+=("-I$HOME/work/odb/builds/default/libodb-pgsql-default")
inc+=("-I$HOME/work/odb/libodb-pgsql")
@@ -53,7 +60,7 @@ $odb "${inc[@]}" -d pgsql --std c++14 --generate-query \
--hxx-prologue '#include <libbrep/common-traits.hxx>' \
-DLIBODB_BUILD2 -DLIBODB_PGSQL_BUILD2 \
--include-with-brackets --include-prefix libbrep \
- --guard-prefix LIBBREP \
+ --guard-prefix LIBBREP \
common.hxx
$odb "${inc[@]}" -d pgsql --std c++14 --generate-query --generate-schema \
@@ -74,7 +81,7 @@ $odb "${inc[@]}" -d pgsql --std c++14 --generate-query --generate-schema \
--odb-epilogue '#include <libbrep/wrapper-traits.hxx>' \
--generate-prepared -DLIBODB_BUILD2 -DLIBODB_PGSQL_BUILD2 \
--include-with-brackets --include-prefix libbrep \
- --guard-prefix LIBBREP \
+ --guard-prefix LIBBREP \
build.hxx
$odb "${inc[@]}" -d pgsql --std c++14 --generate-query \